## Class Auth_OpenID_ServerError

Description

An error class which gets instantiated and returned whenever an OpenID protocol error occurs. Be prepared to use this in place of an ordinary server response.

Located in /Auth/OpenID/Server.php (line 147)

Direct descendents

Class | Description
--- | ---
Auth_OpenID_NoReturnToError | Error returned by the server code when a return_to is absent from a request.
Auth_OpenID_MalformedReturnURL | An error indicating that the return_to URL is malformed.
Auth_OpenID_MalformedTrustRoot | This error is returned when the trust_root value is malformed.
Auth_OpenID_UntrustedReturnURL | An error that indicates that the given return_to is not under the given trust_root.

Method Summary
void encodeToKVForm ()
void encodeToURL ()
void getReturnTo ()
void hasReturnTo ()
void toFormMarkup ([ $form_tag_attrs = null])
void toHTML ([ $form_tag_attrs = null])
void toMessage ()
void toString ()
void whichEncoding ()
Methods
encodeToKVForm (line 201)

Encodes the response to key-value form. This is a machine-readable format used to respond to messages which came directly from the consumer and not through the user-agent. See the OpenID specification.

void encodeToKVForm ()
encodeToURL (line 185)

Encodes this error's response as a URL suitable for redirection. If the response has no return_to, another Auth_OpenID_ServerError is returned.

void encodeToURL ()
getReturnTo (line 160)
void getReturnTo ()
hasReturnTo (line 175)

Returns the return_to URL for the request which caused this error.

void hasReturnTo ()
toFormMarkup (line 208)
void toFormMarkup ([ $form_tag_attrs = null])

- $form_tag_attrs

toHTML (line 214)
void toHTML ([ $form_tag_attrs = null])

- $form_tag_attrs

toMessage (line 220)
void toMessage ()
toString (line 278)

Returns this error message.

void toString ()

Redefined in descendants as:

- Auth_OpenID_NoReturnToError::toString()
- Auth_OpenID_MalformedTrustRoot::toString()
- Auth_OpenID_UntrustedReturnURL::toString()

whichEncoding (line 246)

Returns one of Auth_OpenID_ENCODE_URL, Auth_OpenID_ENCODE_KVFORM, or null, depending on the type of encoding expected for this error's payload.

void whichEncoding ()

Documentation generated on Tue, 21 Apr 2009 11:31:32 -0700 by phpDocumentor 1.3.2